help([[
This module loads the boost library built with the gnu13
compiler toolchain and the openmpi5 MPI stack.

Version 1.81.0
]])

whatis("Name: boost built with gnu13 compiler and openmpi5 MPI")
whatis("Version: 1.81.0")
whatis("Category: runtime library")
whatis("Description: Free peer-reviewed portable C++ source libraries")
whatis("http://www.boost.org")

prepend_path("INCLUDE", "/opt/ohpc/pub/libs/gnu13/openmpi5/boost/1.81.0/include")
prepend_path("LD_LIBRARY_PATH", "/opt/ohpc/pub/libs/gnu13/openmpi5/boost/1.81.0/lib")

setenv("BOOST_DIR", "/opt/ohpc/pub/libs/gnu13/openmpi5/boost/1.81.0")
setenv("BOOST_ROOT", "/opt/ohpc/pub/libs/gnu13/openmpi5/boost/1.81.0")
setenv("BOOST_LIB", "/opt/ohpc/pub/libs/gnu13/openmpi5/boost/1.81.0/lib")
setenv("BOOST_INC", "/opt/ohpc/pub/libs/gnu13/openmpi5/boost/1.81.0/include")

family("boost")

